Name:          jcharset
Version:       1.5
Release:       5%{?dist}
Summary:       Java Charset package
License:       GPLv2+
URL:           http://www.freeutils.net/source/jcharset/
# to download the file prompts you to accept the license terms
# wget http://www.freeutils.net/source/jcharset/jcharset-1_5.zip
# mkdir -p jcharset-1.5
# cd jcharset-1.5
# unzip ../jcharset-1_5.zip
# lib/jcharset.jar
# rm -r lib
# cd ..
# tar czf jcharset-1.5-clean.tar.gz jcharset-1.5
Source0:       %{name}-%{version}-clean.tar.gz
# custom pom file required by davmail project
Source1:       %{name}-pom-template.xml
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Java Charset package is an open-source implementation of
character sets that were missing from the standard Java platform. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

cp -p %{SOURCE1} %{name}.pom
sed -i "s|@VERSION@|%{version}|" %{name}.pom
# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' CHANGES.txt LICENSE.txt README.txt
# prepare incomplete build structure
mkdir docs

%build

%javac -encoding UTF-8 $(find src -type f -name "*.java")

(
  cd src
# include META-INF/services/java.nio.charset.spi.CharsetProvider
  %jar cvf ../%{name}.jar $(find . -name "*.class") META-INF
)

%javadoc -d docs -encoding UTF-8 $(find src -type f -name "*.java")

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{name}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/
cp -pr docs %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc CHANGES.txt README.txt
%license LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE.txt

%changelog
* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 1.5-5
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.5-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 gil cattaneo <puntogil@libero.it> 1.5-1
- initial rpm